/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalDataChangesService } from '../editing/local-data-changes.service';
import { SchedulerModelFields } from '../types/scheduler-model-fields.interface';
import { SchedulerComponent } from '../scheduler.component';
import { EditService } from './edit-service.interface';
/**
 * @hidden
 */
export declare class LocalEditService implements EditService<any> {
    private scheduler;
    private localDataChangesService;
    get fields(): SchedulerModelFields;
    private get hasLocalData();
    private get data();
    constructor(scheduler: SchedulerComponent, localDataChangesService: LocalDataChangesService);
    create(item: any): void;
    createException(item: any, value: any): void;
    update(item: any, value: any): void;
    remove(item: any): void;
    removeSeries(item: any): void;
    removeOccurrence(item: any): void;
    findRecurrenceMaster(item: any): any;
    isRecurring(event: any): boolean;
    isException(event: any): boolean;
    private nextId;
    private buildException;
    private removeItemAndExceptions;
    private removeOccurrenceInternal;
    private dataChanged;
}
