/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Injector } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import { EventEmitter } from '@angular/core';
import { DatePickerComponent, DateTimePickerComponent } from '@progress/kendo-angular-dateinputs';
import { SchedulerLocalizationService } from '../localization/scheduler-localization.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare const SCHEDULER_DATETIMEPICKER_VALUE_ACCESSOR: any;
/**
 * @hidden
 */
export declare class SchedulerDateTimePickerComponent implements ControlValueAccessor {
    private injector;
    private localization?;
    datePicker: DatePickerComponent;
    dateTimePicker: DateTimePickerComponent;
    isAllDay: boolean;
    valueChange: EventEmitter<Date>;
    constructor(injector: Injector, localization?: SchedulerLocalizationService);
    /**
     * @hidden
     */
    get focusableId(): string;
    get formControl(): FormControl;
    textFor(key: string): string;
    date: Date;
    writeValue(newDate: any): void;
    onValueChange(newValue: Date): void;
    /**
     * @hidden
     */
    focus(): void;
    onTouchedCallback: Function;
    onChangeCallback: Function;
    /**
     * @hidden
     */
    registerOnChange(fn: any): void;
    /**
     * @hidden
     */
    registerOnTouched(fn: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SchedulerDateTimePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SchedulerDateTimePickerComponent, "kendo-scheduler-datetime-picker", never, { "isAllDay": { "alias": "isAllDay"; "required": false; }; }, { "valueChange": "valueChange"; }, never, never, true, never>;
}
