/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChangeDetectorRef, ViewContainerRef } from '@angular/core';
import { DialogService } from '@progress/kendo-angular-dialog';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { Observable } from 'rxjs';
import { FocusService } from '../navigation/focus.service';
import { CrudOperation, EditMode } from '../types';
import { ViewStateService } from '../views/view-state.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export interface RecurringDialogCloseResult {
    text: string;
    value: EditMode;
}
/**
 * @hidden
 */
export interface ConfirmationDialogCloseResult {
    text: string;
    value: boolean;
}
/**
 * @hidden
 */
export declare class DialogsService {
    private dialogService;
    private localization;
    private changeDetector;
    private focusService;
    private viewState;
    container: ViewContainerRef;
    isOpen: boolean;
    constructor(dialogService: DialogService, localization: LocalizationService, changeDetector: ChangeDetectorRef, focusService: FocusService, viewState: ViewStateService);
    openRemoveConfirmationDialog(): Observable<boolean>;
    openRecurringConfirmationDialog(operation: CrudOperation): Observable<EditMode>;
    textFor(key: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DialogsService>;
}
