/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AfterContentChecked, OnInit, OnDestroy, Renderer2, ElementRef, ChangeDetectorRef } from "@angular/core";
import { RecurrenceService } from './recurrence.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class EndRuleRadioButtonDirective implements OnInit, AfterContentChecked, OnDestroy {
    private el;
    private renderer;
    private recurrence;
    private changeDetector;
    type: string;
    radioClass: boolean;
    radioSizeClass: boolean;
    endRuleId: string;
    private destroyClick;
    private endRule;
    constructor(el: ElementRef, renderer: Renderer2, recurrence: RecurrenceService, changeDetector: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterContentChecked(): void;
    ngOnDestroy(): void;
    onClick(): void;
    private setCheckedState;
    get elem(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<EndRuleRadioButtonDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EndRuleRadioButtonDirective, "[kendoRecurrenceEndRuleRadioButton]", never, { "endRuleId": { "alias": "kendoRecurrenceEndRuleRadioButton"; "required": false; }; }, {}, never, never, true, never>;
}
