/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class Messages extends ComponentMessages {
    /**
     * The text similar to **Repeat** which is displayed in the recurrence editor.
     */
    repeat: string;
    /**
     * The text similar to **day(s)** which is displayed in the recurrence editor.
     */
    dailyInterval: string;
    /**
     * The text similar to **Repeat every** which is displayed in the recurrence editor.
     */
    dailyRepeatEvery: string;
    /**
     * The text similar to **week(s)** which is displayed in the recurrence editor.
     */
    weeklyInterval: string;
    /**
     * The text similar to **Repeat every** which is displayed in the recurrence editor.
     */
    weeklyRepeatEvery: string;
    /**
     * The text similar to **Repeat on** which is displayed in the recurrence editor.
     */
    weeklyRepeatOn: string;
    /**
     * The text similar to **Day** which is displayed in the recurrence editor.
     */
    monthlyDay: string;
    /**
     * The text similar to **month(s)** which is displayed in the recurrence editor.
     */
    monthlyInterval: string;
    /**
     * The text similar to **Repeat every** which is displayed in the recurrence editor.
     */
    monthlyRepeatEvery: string;
    /**
     * The text similar to **Repeat on** which is displayed in the recurrence editor.
     */
    monthlyRepeatOn: string;
    /**
     * The text similar to **of** which is displayed in the recurrence editor.
     */
    yearlyOf: string;
    /**
     * The text similar to **Repeat every** which is displayed in the recurrence editor.
     */
    yearlyRepeatEvery: string;
    /**
     * The text similar to **Repeat on** which is displayed in the recurrence editor.
     */
    yearlyRepeatOn: string;
    /**
     * The text similar to **year(s)** which is displayed in the recurrence editor.
     */
    yearlyInterval: string;
    /**
     * The text similar to **Daily** which is displayed in the recurrence editor.
     */
    frequenciesDaily: string;
    /**
     * The text similar to **Monthly** which is displayed in the recurrence editor.
     */
    frequenciesMonthly: string;
    /**
     * The text similar to **Never** which is displayed in the recurrence editor.
     */
    frequenciesNever: string;
    /**
     * The text similar to **Weekly** which is displayed in the recurrence editor.
     */
    frequenciesWeekly: string;
    /**
     * The text similar to **Yearly** which is displayed in the recurrence editor.
     */
    frequenciesYearly: string;
    /**
     * The text similar to **First** which is displayed in the recurrence editor.
     */
    offsetPositionsFirst: string;
    /**
     * The text similar to **Second** which is displayed in the recurrence editor.
     */
    offsetPositionsSecond: string;
    /**
     * The text similar to **Third** which is displayed in the recurrence editor.
     */
    offsetPositionsThird: string;
    /**
     * The text similar to **Fourth** which is displayed in the recurrence editor.
     */
    offsetPositionsFourth: string;
    /**
     * The text similar to **Last** which is displayed in the recurrence editor.
     */
    offsetPositionsLast: string;
    /**
     * The text similar to **Day** which is displayed in the repeat-by-section of the monthly recurrence pattern.
     */
    weekdaysDay: string;
    /**
     * The text similar to **Weekday** which is displayed in the repeat-by-section of the monthly recurrence pattern.
     */
    weekdaysWeekday: string;
    /**
     * The text similar to **Weekend Day** which is displayed in the repeat-by-section of the monthly recurrence pattern.
     */
    weekdaysWeekendday: string;
    /**
     * The text similar to **After** which is displayed in the recurrence editor.
     */
    endAfter: string;
    /**
     * The text similar to **occurrence(s)** which is displayed in the recurrence editor.
     */
    endOccurrence: string;
    /**
     * The text similar to **End** which is displayed in the recurrence editor.
     */
    endLabel: string;
    /**
     * The text similar to **Never** which is displayed in the recurrence editor.
     */
    endNever: string;
    /**
     * The text similar to **On** which is displayed in the recurrence editor.
     */
    endOn: string;
    /**
     * The title of the **Increment** button of the NumericTextBoxes which are displayed in the recurrence editor.
     */
    numericIncrement: string;
    /**
     * The title of the **Decrement** button of the NumericTextBoxes which are displayed in the recurrence editor.
     */
    numericDecrement: string;
    /**
     * The title of the **Today** button in the popup of the DatePickers which are displayed in the recurrence editor.
     */
    dateInputsToday: string;
    /**
     * The title of the **Toggle** button of the DatePickers which are displayed in the recurrence editor.
     */
    dateInputsToggle: string;
    /**
     * The title of the **Parent View** button in the popup of the DatePickers which are displayed in the recurrence editor.
     */
    dateInputsParentViewButton: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<Messages, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<Messages, never, never, { "repeat": { "alias": "repeat"; "required": false; }; "dailyInterval": { "alias": "dailyInterval"; "required": false; }; "dailyRepeatEvery": { "alias": "dailyRepeatEvery"; "required": false; }; "weeklyInterval": { "alias": "weeklyInterval"; "required": false; }; "weeklyRepeatEvery": { "alias": "weeklyRepeatEvery"; "required": false; }; "weeklyRepeatOn": { "alias": "weeklyRepeatOn"; "required": false; }; "monthlyDay": { "alias": "monthlyDay"; "required": false; }; "monthlyInterval": { "alias": "monthlyInterval"; "required": false; }; "monthlyRepeatEvery": { "alias": "monthlyRepeatEvery"; "required": false; }; "monthlyRepeatOn": { "alias": "monthlyRepeatOn"; "required": false; }; "yearlyOf": { "alias": "yearlyOf"; "required": false; }; "yearlyRepeatEvery": { "alias": "yearlyRepeatEvery"; "required": false; }; "yearlyRepeatOn": { "alias": "yearlyRepeatOn"; "required": false; }; "yearlyInterval": { "alias": "yearlyInterval"; "required": false; }; "frequenciesDaily": { "alias": "frequenciesDaily"; "required": false; }; "frequenciesMonthly": { "alias": "frequenciesMonthly"; "required": false; }; "frequenciesNever": { "alias": "frequenciesNever"; "required": false; }; "frequenciesWeekly": { "alias": "frequenciesWeekly"; "required": false; }; "frequenciesYearly": { "alias": "frequenciesYearly"; "required": false; }; "offsetPositionsFirst": { "alias": "offsetPositionsFirst"; "required": false; }; "offsetPositionsSecond": { "alias": "offsetPositionsSecond"; "required": false; }; "offsetPositionsThird": { "alias": "offsetPositionsThird"; "required": false; }; "offsetPositionsFourth": { "alias": "offsetPositionsFourth"; "required": false; }; "offsetPositionsLast": { "alias": "offsetPositionsLast"; "required": false; }; "weekdaysDay": { "alias": "weekdaysDay"; "required": false; }; "weekdaysWeekday": { "alias": "weekdaysWeekday"; "required": false; }; "weekdaysWeekendday": { "alias": "weekdaysWeekendday"; "required": false; }; "endAfter": { "alias": "endAfter"; "required": false; }; "endOccurrence": { "alias": "endOccurrence"; "required": false; }; "endLabel": { "alias": "endLabel"; "required": false; }; "endNever": { "alias": "endNever"; "required": false; }; "endOn": { "alias": "endOn"; "required": false; }; "numericIncrement": { "alias": "numericIncrement"; "required": false; }; "numericDecrement": { "alias": "numericDecrement"; "required": false; }; "dateInputsToday": { "alias": "dateInputsToday"; "required": false; }; "dateInputsToggle": { "alias": "dateInputsToggle"; "required": false; }; "dateInputsParentViewButton": { "alias": "dateInputsParentViewButton"; "required": false; }; }, {}, never, never, false, never>;
}
