/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DatePickerOptions } from './../../types/datepicker-options.interface';
import { OnDestroy, QueryList } from '@angular/core';
import { RecurrenceService, EndRule } from './recurrence.service';
import { RecurrenceRule } from '@progress/kendo-recurrence';
import { EndRuleRadioButtonDirective } from './end-rule-radio-button.directive';
import { NumericTextBoxOptions } from '../../types/numeric-options.interface';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class RecurrenceEndRuleEditorComponent implements OnDestroy {
    private recurrence;
    private localization?;
    cssClass: boolean;
    set userNumericOptions(options: NumericTextBoxOptions);
    set userDatePickerOptions(options: DatePickerOptions);
    endRuleRadioButtons: QueryList<EndRuleRadioButtonDirective>;
    countValue: number;
    untilValue: Date;
    numericOptions: NumericTextBoxOptions;
    datePickerOptions: DatePickerOptions;
    uniqueId: number;
    private subscriptions;
    constructor(recurrence: RecurrenceService, localization?: LocalizationService);
    ngOnDestroy(): void;
    setEndRule(endRule: EndRule): void;
    get rrule(): RecurrenceRule;
    get isCountDisabled(): boolean;
    get isUntilDisabled(): boolean;
    onCountChange(value: number): void;
    onCountBlur(): void;
    onUntilChange(value: Date): void;
    onUntilBlur(): void;
    textFor(key: string): string;
    onEndLabelClick(): void;
    private setInitialValues;
    private subscribeChanges;
    private createUntil;
    static ɵfac: i0.ɵɵFactoryDeclaration<RecurrenceEndRuleEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RecurrenceEndRuleEditorComponent, "kendo-recurrence-end-rule-editor", never, { "userNumericOptions": { "alias": "userNumericOptions"; "required": false; }; "userDatePickerOptions": { "alias": "userDatePickerOptions"; "required": false; }; }, {}, never, never, true, never>;
}
