/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnInit, QueryList } from '@angular/core';
import { RecurrenceService, FrequencyEntity } from './recurrence.service';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { Button } from '@progress/kendo-angular-buttons';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class RecurrenceFrequencyEditorComponent implements OnInit {
    private recurrence;
    private localization;
    weekDayButtons: QueryList<Button>;
    frequencies: Array<FrequencyEntity>;
    constructor(recurrence: RecurrenceService, localization: LocalizationService);
    ngOnInit(): void;
    get selected(): string;
    onClick(newFreq: FrequencyEntity): void;
    textFor(key: string): string;
    onFrequencyClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RecurrenceFrequencyEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RecurrenceFrequencyEditorComponent, "kendo-recurrence-frequency-editor", never, {}, {}, never, never, true, never>;
}
