/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NumericTextBoxOptions } from './../../types/numeric-options.interface';
import { RecurrenceService } from './recurrence.service';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class RecurrenceIntervalEditorComponent {
    private recurrence;
    private localization?;
    cssClass: boolean;
    set userNumericOptions(options: NumericTextBoxOptions);
    intervalValue: number;
    numericOptions: NumericTextBoxOptions;
    constructor(recurrence: RecurrenceService, localization?: LocalizationService);
    get currentFreq(): string;
    onIntervalChange(newInterval: number): void;
    onIntervalBlur(): void;
    textForRepeatEvery(): string;
    textForFrequency(): string;
    textFor(key: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<RecurrenceIntervalEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RecurrenceIntervalEditorComponent, "kendo-recurrence-interval-editor", never, { "userNumericOptions": { "alias": "userNumericOptions"; "required": false; }; }, {}, never, never, true, never>;
}
