/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnDestroy, QueryList } from '@angular/core';
import { RecurrenceService, OffsetPositionEntity, WeekDayEntity, MonthEntity, Frequency, RepeatOnRule, WeekDayRule } from './recurrence.service';
import { RepeatOnRadioButtonDirective } from './repeat-on-radio-button.directive';
import { NumericTextBoxOptions } from '../../types/numeric-options.interface';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class RecurrenceMonthlyYearlyEditorComponent implements OnDestroy {
    private recurrence;
    private localization?;
    set userNumericOptions(options: NumericTextBoxOptions);
    repeatOnRadioButtons: QueryList<RepeatOnRadioButtonDirective>;
    extendedWeekDays: Array<WeekDayEntity>;
    offsetPositions: Array<OffsetPositionEntity>;
    months: Array<MonthEntity>;
    currentMonthDay: number;
    currentMonthMonthDay: number;
    currentMonthWeekDay: number;
    currentOffset: number;
    currentWeekDay: number | string;
    uniqueId: number;
    numericOptions: NumericTextBoxOptions;
    private subs;
    constructor(recurrence: RecurrenceService, localization?: LocalizationService);
    setInitialValues(): void;
    subscribeEventHandlers(): void;
    onRepeatOnRuleChange(newRepeatOnRule: RepeatOnRule): void;
    onFrequencyChange(): void;
    ngOnDestroy(): void;
    get monthDay(): number;
    get weekDay(): number | string;
    get offset(): number;
    onMonthChange(month: number, repeatOnRule: RepeatOnRule): void;
    onMonthDayChange(monthDay: number): void;
    onOffsetPositionChange(offset: number): void;
    onWeekDayChange(weekDay: number | string): void;
    isDisabled(repeatOn: RepeatOnRule): boolean;
    get currentFreq(): Frequency;
    get defaultOffset(): number;
    get defaultWeekDay(): number;
    weekDayRuleFromString(weekDay: string): Array<WeekDayRule>;
    textForRepeatOn(): string;
    textFor(key: string): string;
    onRepeatOnLabelClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RecurrenceMonthlyYearlyEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RecurrenceMonthlyYearlyEditorComponent, "kendo-recurrence-monthly-yearly-editor", never, { "userNumericOptions": { "alias": "userNumericOptions"; "required": false; }; }, {}, never, never, true, never>;
}
