/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { QueryList } from '@angular/core';
import { RecurrenceService, WeekDayEntity, WeekDayRule } from './recurrence.service';
import { RecurrenceRule } from '@progress/kendo-recurrence';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { Button } from '@progress/kendo-angular-buttons';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class RecurrenceWeekdayRuleEditorComponent {
    private recurrence;
    private localization;
    weekDayButtons: QueryList<Button>;
    weekDays: Array<WeekDayEntity>;
    selected: Array<boolean>;
    constructor(recurrence: RecurrenceService, localization: LocalizationService);
    setSelectedDays(): void;
    onSelectedChange(isSelected: boolean, day: number | string): void;
    isSelected(day: WeekDayEntity): boolean;
    serializeToWeekDayRuleArray(arr: Array<boolean>): Array<WeekDayRule>;
    get rrule(): RecurrenceRule;
    capitalize(day: string): string;
    textFor(key: string): string;
    onWeeklyRepeatOnClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RecurrenceWeekdayRuleEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RecurrenceWeekdayRuleEditorComponent, "kendo-recurrence-weekday-rule-editor", never, {}, {}, never, never, true, never>;
}
