/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, Renderer2, OnInit, OnDestroy, AfterContentChecked, ChangeDetectorRef } from '@angular/core';
import { RecurrenceService } from './recurrence.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class RepeatOnRadioButtonDirective implements OnInit, AfterContentChecked, OnDestroy {
    private el;
    private renderer;
    private recurrence;
    private changeDetector;
    type: string;
    radioClass: boolean;
    radioSizeClass: boolean;
    set repeatOnRule(value: string);
    private destroyClick;
    private _repeatOnRule;
    private _uniqueId;
    constructor(el: ElementRef, renderer: Renderer2, recurrence: RecurrenceService, changeDetector: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterContentChecked(): void;
    ngOnDestroy(): void;
    onClick(): void;
    private setCheckedState;
    get elem(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<RepeatOnRadioButtonDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RepeatOnRadioButtonDirective, "[kendoRecurrenceRepeatOnRadioButton]", never, { "repeatOnRule": { "alias": "kendoRecurrenceRepeatOnRadioButton"; "required": false; }; }, {}, never, never, true, never>;
}
