/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Directive, Input } from '@angular/core';
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export class Messages extends ComponentMessages {
    /**
     * The text similar to **Repeat** which is displayed in the recurrence editor.
     */
    repeat;
    /**
     * The text similar to **day(s)** which is displayed in the recurrence editor.
     */
    dailyInterval;
    /**
     * The text similar to **Repeat every** which is displayed in the recurrence editor.
     */
    dailyRepeatEvery;
    /**
     * The text similar to **week(s)** which is displayed in the recurrence editor.
     */
    weeklyInterval;
    /**
     * The text similar to **Repeat every** which is displayed in the recurrence editor.
     */
    weeklyRepeatEvery;
    /**
     * The text similar to **Repeat on** which is displayed in the recurrence editor.
     */
    weeklyRepeatOn;
    /**
     * The text similar to **Day** which is displayed in the recurrence editor.
     */
    monthlyDay;
    /**
     * The text similar to **month(s)** which is displayed in the recurrence editor.
     */
    monthlyInterval;
    /**
     * The text similar to **Repeat every** which is displayed in the recurrence editor.
     */
    monthlyRepeatEvery;
    /**
     * The text similar to **Repeat on** which is displayed in the recurrence editor.
     */
    monthlyRepeatOn;
    /**
     * The text similar to **of** which is displayed in the recurrence editor.
     */
    yearlyOf;
    /**
     * The text similar to **Repeat every** which is displayed in the recurrence editor.
     */
    yearlyRepeatEvery;
    /**
     * The text similar to **Repeat on** which is displayed in the recurrence editor.
     */
    yearlyRepeatOn;
    /**
     * The text similar to **year(s)** which is displayed in the recurrence editor.
     */
    yearlyInterval;
    /**
     * The text similar to **Daily** which is displayed in the recurrence editor.
     */
    frequenciesDaily;
    /**
     * The text similar to **Monthly** which is displayed in the recurrence editor.
     */
    frequenciesMonthly;
    /**
     * The text similar to **Never** which is displayed in the recurrence editor.
     */
    frequenciesNever;
    /**
     * The text similar to **Weekly** which is displayed in the recurrence editor.
     */
    frequenciesWeekly;
    /**
     * The text similar to **Yearly** which is displayed in the recurrence editor.
     */
    frequenciesYearly;
    /**
     * The text similar to **First** which is displayed in the recurrence editor.
     */
    offsetPositionsFirst;
    /**
     * The text similar to **Second** which is displayed in the recurrence editor.
     */
    offsetPositionsSecond;
    /**
     * The text similar to **Third** which is displayed in the recurrence editor.
     */
    offsetPositionsThird;
    /**
     * The text similar to **Fourth** which is displayed in the recurrence editor.
     */
    offsetPositionsFourth;
    /**
     * The text similar to **Last** which is displayed in the recurrence editor.
     */
    offsetPositionsLast;
    /**
     * The text similar to **Day** which is displayed in the repeat-by-section of the monthly recurrence pattern.
     */
    weekdaysDay;
    /**
     * The text similar to **Weekday** which is displayed in the repeat-by-section of the monthly recurrence pattern.
     */
    weekdaysWeekday;
    /**
     * The text similar to **Weekend Day** which is displayed in the repeat-by-section of the monthly recurrence pattern.
     */
    weekdaysWeekendday;
    /**
     * The text similar to **After** which is displayed in the recurrence editor.
     */
    endAfter;
    /**
     * The text similar to **occurrence(s)** which is displayed in the recurrence editor.
     */
    endOccurrence;
    /**
     * The text similar to **End** which is displayed in the recurrence editor.
     */
    endLabel;
    /**
     * The text similar to **Never** which is displayed in the recurrence editor.
     */
    endNever;
    /**
     * The text similar to **On** which is displayed in the recurrence editor.
     */
    endOn;
    /**
     * The title of the **Increment** button of the NumericTextBoxes which are displayed in the recurrence editor.
     */
    numericIncrement;
    /**
     * The title of the **Decrement** button of the NumericTextBoxes which are displayed in the recurrence editor.
     */
    numericDecrement;
    /**
     * The title of the **Today** button in the popup of the DatePickers which are displayed in the recurrence editor.
     */
    dateInputsToday;
    /**
     * The title of the **Toggle** button of the DatePickers which are displayed in the recurrence editor.
     */
    dateInputsToggle;
    /**
     * The title of the **Parent View** button in the popup of the DatePickers which are displayed in the recurrence editor.
     */
    dateInputsParentViewButton;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: Messages, deps: null, target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: Messages, inputs: { repeat: "repeat", dailyInterval: "dailyInterval", dailyRepeatEvery: "dailyRepeatEvery", weeklyInterval: "weeklyInterval", weeklyRepeatEvery: "weeklyRepeatEvery", weeklyRepeatOn: "weeklyRepeatOn", monthlyDay: "monthlyDay", monthlyInterval: "monthlyInterval", monthlyRepeatEvery: "monthlyRepeatEvery", monthlyRepeatOn: "monthlyRepeatOn", yearlyOf: "yearlyOf", yearlyRepeatEvery: "yearlyRepeatEvery", yearlyRepeatOn: "yearlyRepeatOn", yearlyInterval: "yearlyInterval", frequenciesDaily: "frequenciesDaily", frequenciesMonthly: "frequenciesMonthly", frequenciesNever: "frequenciesNever", frequenciesWeekly: "frequenciesWeekly", frequenciesYearly: "frequenciesYearly", offsetPositionsFirst: "offsetPositionsFirst", offsetPositionsSecond: "offsetPositionsSecond", offsetPositionsThird: "offsetPositionsThird", offsetPositionsFourth: "offsetPositionsFourth", offsetPositionsLast: "offsetPositionsLast", weekdaysDay: "weekdaysDay", weekdaysWeekday: "weekdaysWeekday", weekdaysWeekendday: "weekdaysWeekendday", endAfter: "endAfter", endOccurrence: "endOccurrence", endLabel: "endLabel", endNever: "endNever", endOn: "endOn", numericIncrement: "numericIncrement", numericDecrement: "numericDecrement", dateInputsToday: "dateInputsToday", dateInputsToggle: "dateInputsToggle", dateInputsParentViewButton: "dateInputsParentViewButton" }, usesInheritance: true, ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: Messages, decorators: [{
            type: Directive
        }], propDecorators: { repeat: [{
                type: Input
            }], dailyInterval: [{
                type: Input
            }], dailyRepeatEvery: [{
                type: Input
            }], weeklyInterval: [{
                type: Input
            }], weeklyRepeatEvery: [{
                type: Input
            }], weeklyRepeatOn: [{
                type: Input
            }], monthlyDay: [{
                type: Input
            }], monthlyInterval: [{
                type: Input
            }], monthlyRepeatEvery: [{
                type: Input
            }], monthlyRepeatOn: [{
                type: Input
            }], yearlyOf: [{
                type: Input
            }], yearlyRepeatEvery: [{
                type: Input
            }], yearlyRepeatOn: [{
                type: Input
            }], yearlyInterval: [{
                type: Input
            }], frequenciesDaily: [{
                type: Input
            }], frequenciesMonthly: [{
                type: Input
            }], frequenciesNever: [{
                type: Input
            }], frequenciesWeekly: [{
                type: Input
            }], frequenciesYearly: [{
                type: Input
            }], offsetPositionsFirst: [{
                type: Input
            }], offsetPositionsSecond: [{
                type: Input
            }], offsetPositionsThird: [{
                type: Input
            }], offsetPositionsFourth: [{
                type: Input
            }], offsetPositionsLast: [{
                type: Input
            }], weekdaysDay: [{
                type: Input
            }], weekdaysWeekday: [{
                type: Input
            }], weekdaysWeekendday: [{
                type: Input
            }], endAfter: [{
                type: Input
            }], endOccurrence: [{
                type: Input
            }], endLabel: [{
                type: Input
            }], endNever: [{
                type: Input
            }], endOn: [{
                type: Input
            }], numericIncrement: [{
                type: Input
            }], numericDecrement: [{
                type: Input
            }], dateInputsToday: [{
                type: Input
            }], dateInputsToggle: [{
                type: Input
            }], dateInputsParentViewButton: [{
                type: Input
            }] } });
