/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Arguments for the `create` event.
 */
export class CreateEvent {
    /**
     * The start date of the slot.
     */
    start;
    /**
     * The end date of the slot.
     */
    end;
    /**
     * Indicates if the slot is all-day.
     */
    isAllDay;
    /**
     * The resources of the slot.
     */
    resources;
    /**
     * The original DOM event.
     */
    originalEvent;
    /**
     * A reference to the Scheduler instance that triggered the event.
     */
    sender;
    /**
     * @hidden
     */
    constructor(sender, args) {
        this.sender = sender;
        Object.assign(this, args);
    }
}
