/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * @hidden
 */
export class EditEventBase {
    /**
     * Indicates if the event is new or existing.
     */
    isNew;
    /**
     * The edited data item.
     */
    dataItem;
    /**
     * A reference to the Scheduler instance that triggered the event.
     */
    sender;
    /**
     * The type of the action that triggered the event.
     */
    action;
    /**
     * @hidden
     */
    constructor(sender, args) {
        this.sender = sender;
        Object.assign(this, args);
    }
}
