/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from './preventable-event';
/**
 * Arguments for the `edit` event of the editing directives.
 */
export class EditEvent extends PreventableEvent {
    /**
     * The event data item for which the **Edit** dialog will be opened.
     */
    dataItem;
    /**
     * The event for which the **Edit** dialog will be opened.
     */
    event;
    /**
     * A reference to the Scheduler instance that triggered the event.
     */
    sender;
    /**
     * @hidden
     */
    constructor(sender, args) {
        super();
        this.sender = sender;
        Object.assign(this, args);
    }
}
