/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Arguments for the `eventClick` and `eventDblClick` events.
 */
export class EventClickEvent {
    /**
     * The event type.
     */
    type;
    /**
     * The original Scheduler event.
     */
    event;
    /**
     * The original DOM event.
     */
    originalEvent;
    /**
     * A reference to the Scheduler instance that triggered the event.
     */
    sender;
    /**
     * @hidden
     */
    constructor(sender, args) {
        this.sender = sender;
        Object.assign(this, args);
    }
}
