/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from '@progress/kendo-angular-dateinputs';
/**
 * Arguments for the `navigate` event.
 */
export class NavigateEvent extends PreventableEvent {
    /**
     * The navigation action that triggered the event.
     */
    action;
    /**
     * A reference to the Scheduler instance that triggered the event.
     */
    sender;
    /**
     * @hidden
     */
    constructor(sender, action) {
        super();
        this.sender = sender;
        this.action = action;
    }
}
