/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The selected edit mode during the update or removal of events.
 * For non-recurring events, set to `Event`.
 */
export var EditMode;
(function (EditMode) {
    /**
     * Edits the selected event.
     */
    EditMode[EditMode["Event"] = 0] = "Event";
    /**
     * Edits the selected occurrence.
     */
    EditMode[EditMode["Occurrence"] = 1] = "Occurrence";
    /**
     * Edits all events in the series.
     */
    EditMode[EditMode["Series"] = 2] = "Series";
})(EditMode || (EditMode = {}));
