/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The arguments for the [`isSlotSelected`]({% slug api_scheduler_schedulercomponent %}#toc-isslotselected) callback.
 */
export class IsSlotSelectedArgs {
    /**
     * The start date of the slot.
     */
    start;
    /**
     * The end date of the slot.
     */
    end;
    /**
     * Indicates if the slot is an all-day slot, or a time slot.
     */
    isAllDay;
    /**
     * The resources for the slot, if grouping by resource; otherwise all Scheduler resources.
     */
    resources;
}
/**
 * @hidden
 */
export var slotDragEventName;
(function (slotDragEventName) {
    slotDragEventName["initDragSelect"] = "initDragSelect";
    slotDragEventName["dragSelect"] = "dragSelect";
    slotDragEventName["refreshSlotSelection"] = "refreshSlotSelection";
    slotDragEventName["dragSelectRelease"] = "dragSelectRelease";
})(slotDragEventName || (slotDragEventName = {}));
