/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Pipe } from '@angular/core';
import { iterator } from '../../common/util';
import * as i0 from "@angular/core";
class NumberIterator {
    count;
    *[iterator]() {
        for (let i = 0; i < this.count; i++) {
            yield i;
        }
    }
    constructor(count) {
        this.count = count;
    }
}
/**
 * @hidden
 */
export class RepeatPipe {
    transform(value) {
        return new NumberIterator(value);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RepeatPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
    static ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: RepeatPipe, isStandalone: true, name: "repeat" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RepeatPipe, decorators: [{
            type: Pipe,
            args: [{
                    // eslint-disable-next-line @angular-eslint/pipe-prefix
                    name: 'repeat',
                    standalone: true
                }]
        }] });
