/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SchedulerComponent } from '../scheduler.component';
import { DateRange } from '../types';
/**
 * Arguments for the `dateChange` event.
 */
export declare class DateChangeEvent {
    /**
     * The currently selected date of the Scheduler.
     */
    selectedDate: Date;
    /**
     * The date range of the current view.
     */
    dateRange: DateRange;
    /**
     * A reference to the Scheduler instance that triggered the event.
     */
    sender: SchedulerComponent;
    /**
     * @hidden
     */
    constructor(sender: SchedulerComponent, selectedDate: Date, dateRange: DateRange);
}
