/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SchedulerComponent } from '../scheduler.component';
/**
 * @hidden
 */
export declare abstract class EditEventBase {
    /**
     * Indicates if the event is new or existing.
     */
    isNew: boolean;
    /**
     * The edited data item.
     */
    dataItem: any;
    /**
     * A reference to the Scheduler instance that triggered the event.
     */
    sender: SchedulerComponent;
    /**
     * The type of the action that triggered the event.
     */
    action: string;
    /**
     * @hidden
     */
    constructor(sender: SchedulerComponent, args: any);
}
