/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { CreateEvent } from './create-event';
import { DragEndEvent } from './drag-end-event';
import { DragEvent } from './drag-event';
import { DragStartEvent } from './drag-start-event';
import { EventClickEvent } from './event-click-event';
import { EventKeydownEvent } from './event-keydown-event';
import { RemoveEvent } from './remove-event';
import { ResizeEndEvent } from './resize-end-event';
import { ResizeEvent } from './resize-event';
import { ResizeStartEvent } from './resize-start-event';
import { SlotClickEvent } from './slot-click-event';
/**
 * @hidden
 *
 * Maps the name of the event to the argument type of the event.
 */
export declare const VIEW_EVENT_MAP: {
    slotClick: typeof SlotClickEvent;
    slotDblClick: typeof SlotClickEvent;
    eventClick: typeof EventClickEvent;
    eventDblClick: typeof EventClickEvent;
    eventKeydown: typeof EventKeydownEvent;
    create: typeof CreateEvent;
    remove: typeof RemoveEvent;
    resizeStart: typeof ResizeStartEvent;
    resize: typeof ResizeEvent;
    resizeEnd: typeof ResizeEndEvent;
    dragStart: typeof DragStartEvent;
    drag: typeof DragEvent;
    dragEnd: typeof DragEndEvent;
};
