/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class Messages extends ComponentMessages {
    /**
     * The **All events** text that is displayed in the **Timeline** views when no vertical grouping is applied.
     */
    allEvents: string;
    /**
     * The **All day** text that is displayed in the *Day** and **Week** views.
     */
    allDay: string;
    /**
     * The date-header text that is displayed in the **Agenda** view.
     */
    dateHeader: string;
    /**
     * The time-header text that is displayed in the **Agenda** view.
     */
    timeHeader: string;
    /**
     * The event-header text that is displayed in the **Agenda** view.
     */
    eventHeader: string;
    /**
     * The title of the **Delete** icon.
     */
    deleteTitle: string;
    /**
     * The title of the **Next** navigation button.
     */
    nextTitle: string;
    /**
     * The title of the **Previous** navigation button.
     */
    previousTitle: string;
    /**
     * The text of the **Today** navigation button.
     */
    today: string;
    /**
     * The text of today's date in the header of the Calendar.
     */
    calendarToday: string;
    /**
     * The text of the **Show full day** button that is displayed in the footer of the **Day**, **Week**, and **Timeline** views.
     */
    showFullDay: string;
    /**
     * The text of the **Show work day** button that is displayed in the footer of the **Day**, **Week**, and **Timeline** views.
     */
    showWorkDay: string;
    /**
     * The title of the **Day** view.
     */
    dayViewTitle: string;
    /**
     * The title of the **Multi-Day** view.
     */
    multiDayViewTitle: string;
    /**
     * The title of the **Week** view.
     */
    weekViewTitle: string;
    /**
     * The title of the **Work Week** view.
     */
    workWeekViewTitle: string;
    /**
     * The title of the **Month** view.
     */
    monthViewTitle: string;
    /**
     * The title of the **Multi-Week** view.
     */
    multiWeekViewTitle: string;
    /**
     * The title of the **Timeline** view.
     */
    timelineViewTitle: string;
    /**
     * The title of the **Week** timeline view.
     */
    timelineWeekViewTitle: string;
    /**
     * The title of the **Month** timeline view.
     */
    timelineMonthViewTitle: string;
    /**
     * The title of the **Agenda** view.
     */
    agendaViewTitle: string;
    /**
     * The title of the **Year** view.
     */
    yearViewTitle: string;
    /**
     * The message displayed in **Year** view for any date that has no events.
     */
    yearViewNoEvents: string;
    /**
     * The text of the **Cancel** button displayed in the Scheduler dialogs.
     */
    cancel: string;
    /**
     * The text of the **Save** button displayed in the Scheduler dialogs.
     */
    save: string;
    /**
     * The text similar to 'Title' displayed in the Scheduler event editor.
     */
    editorEventTitle: string;
    /**
     * The text similar to 'Start' displayed in the Scheduler event editor.
     */
    editorEventStart: string;
    /**
     * The text similar to 'Start Time Zone' displayed in the Scheduler event editor.
     */
    editorEventStartTimeZone: string;
    /**
     * The text similar to 'End' displayed in the Scheduler event editor.
     */
    editorEventEnd: string;
    /**
     * The text similar to 'End Time Zone' displayed in the Scheduler event editor.
     */
    editorEventEndTimeZone: string;
    /**
     * The text similar to 'All Day Event' displayed in the Scheduler event editor.
     */
    editorEventAllDay: string;
    /**
     * The text similar to 'Description' displayed in the Scheduler event editor.
     */
    editorEventDescription: string;
    /**
     * The text similar to 'Use separate Start and End Time Zones' displayed in the Scheduler event editor.
     */
    editorEventSeparateTimeZones: string;
    /**
     * The text similar to 'Time Zone' displayed in the Scheduler event editor.
     */
    editorEventTimeZone: string;
    /**
     * The **Today** button text in the popup of the DateTimePickers and DatePickers in the Scheduler event editor.
     */
    editorDateInputsToday: string;
    /**
     * The title of the **Toggle** button in the popup of the DateTimePickers and DatePickers in the Scheduler event editor.
     */
    editorDateInputsToggle: string;
    /**
     * The title of the **Parent View** button in the popup of the DateTimePickers and DatePickers in the Scheduler event editor.
     */
    editorDateInputsParentViewButton: string;
    /**
     * The text of the **Now** button in the popup footer of the DateTimePickers and DatePickers in the Scheduler event editor.
     */
    editorDateInputsNow: string;
    /**
     * The label of the **Now** button in the popup footer of the DateTimePickers and DatePickers in the Scheduler event editor.
     */
    editorDateInputsNowLabel: string;
    /**
     * The text of the **Accept** button in the popup footer of the DateTimePickers and DatePickers in the Scheduler event editor.
     */
    editorDateInputsAccept: string;
    /**
     * The label of the **Accept** button in the popup footer of the DateTimePickers and DatePickers in the Scheduler event editor.
     */
    editorDateInputsAcceptLabel: string;
    /**
     * The text of the **Cancel** button in the popup footer of the DateTimePickers and DatePickers in the Scheduler event editor.
     */
    editorDateInputsCancel: string;
    /**
     * The label of the **Cancel** button in the popup footer of the DateTimePickers and DatePickers in the Scheduler event editor.
     */
    editorDateInputsCancelLabel: string;
    /**
     * The text of the **Date** tab in the popup header of the DateTimePickers and DatePickers in the Scheduler event editor.
     */
    editorDateInputsDateTab: string;
    /**
     * The label of the **Date** tab in the popup header of the DateTimePickers and DatePickers in the Scheduler event editor.
     */
    editorDateInputsDateTabLabel: string;
    /**
     * The text of the **Time** tab in the popup header of the DateTimePickers and DatePickers in the Scheduler event editor.
     */
    editorDateInputsTimeTab: string;
    /**
     * The label of the **Time** tab in the popup header of the DateTimePickers and DatePickers in the Scheduler event editor.
     */
    editorDateInputsTimeTabLabel: string;
    /**
     * The **Today** button text in the popup of the DatePickers in the Scheduler recurrence editor.
     */
    recurrenceEditorDateInputsToday: string;
    /**
     * The title of the **Toggle** button in the popup of the DatePickers in the Scheduler recurrence editor.
     */
    recurrenceEditorDateInputsToggle: string;
    /**
     * The title of the **Parent View** button in the popup of the DatePickers in the Scheduler recurrence editor.
     */
    recurrenceEditorDateInputsParentViewButton: string;
    /**
     * The title of the **Increment** button of the NumericTextBox in the Scheduler recurrence editor.
     */
    recurrenceEditorNumericIncrement: string;
    /**
     * The title of the **Decrement** button of the NumericTextBox in the Scheduler recurrence editor.
     */
    recurrenceEditorNumericDecrement: string;
    /**
     * The text similar to 'Repeat' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorRepeat: string;
    /**
     * The text similar to 'day(s)' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorDailyInterval: string;
    /**
     * The text similar to 'Repeat every' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorDailyRepeatEvery: string;
    /**
     * The text similar to 'week(s)' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorWeeklyInterval: string;
    /**
     * The text similar to 'Repeat every' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorWeeklyRepeatEvery: string;
    /**
     * The text similar to 'Repeat on' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorWeeklyRepeatOn: string;
    /**
     * The text similar to 'Day' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorMonthlyDay: string;
    /**
     * The text similar to 'month(s)' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorMonthlyInterval: string;
    /**
     * The text similar to 'Repeat every' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorMonthlyRepeatEvery: string;
    /**
     * The text similar to 'Repeat on' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorMonthlyRepeatOn: string;
    /**
     * The text similar to 'of' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorYearlyOf: string;
    /**
     * The text similar to 'Repeat every' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorYearlyRepeatEvery: string;
    /**
     * The text similar to 'Repeat on' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorYearlyRepeatOn: string;
    /**
     * The text similar to 'year(s)' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorYearlyInterval: string;
    /**
     * The text similar to 'Daily' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorFrequenciesDaily: string;
    /**
     * The text similar to 'Monthly' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorFrequenciesMonthly: string;
    /**
     * The text similar to 'Never' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorFrequenciesNever: string;
    /**
     * The text similar to 'Weekly' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorFrequenciesWeekly: string;
    /**
     * The text similar to 'Yearly' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorFrequenciesYearly: string;
    /**
     * The text similar to 'First' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorOffsetPositionsFirst: string;
    /**
     * The text similar to 'Second' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorOffsetPositionsSecond: string;
    /**
     * The text similar to 'Third' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorOffsetPositionsThird: string;
    /**
     * The text similar to 'Fourth' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorOffsetPositionsFourth: string;
    /**
     * The text similar to 'Last' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorOffsetPositionsLast: string;
    /**
     * The text similar to 'Day' displayed in the repeat by section of the monthly recurrence pattern.
     */
    recurrenceEditorWeekdaysDay: string;
    /**
     * The text similar to 'Weekday' displayed in the repeat by section of the monthly recurrence pattern.
     */
    recurrenceEditorWeekdaysWeekday: string;
    /**
     * The text similar to 'Weekend Day' displayed in the repeat by section of the monthly recurrence pattern.
     */
    recurrenceEditorWeekdaysWeekendday: string;
    /**
     * The text similar to 'After' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorEndAfter: string;
    /**
     * The text similar to 'occurrence(s)' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorEndOccurrence: string;
    /**
     * The text similar to 'End' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorEndLabel: string;
    /**
     * The text similar to 'Never' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorEndNever: string;
    /**
     * The text similar to 'On' displayed in the Scheduler recurrence editor.
     */
    recurrenceEditorEndOn: string;
    /**
     * The text similar to **Event** displayed as title of the Scheduler event editor.
     */
    editorTitle: string;
    /**
     * The text of the **Delete** button displayed in the Scheduler remove confirmation dialog.
     */
    destroy: string;
    /**
     * The text similar to **Are you sure you want to delete this event?** displayed in Scheduler remove confirmation dialog.
     */
    deleteConfirmation: string;
    /**
     * The text similar to **Do you want to edit only this event occurrence or the whole series?** displayed in the Scheduler recurring confirmation dialog.
     */
    editRecurringConfirmation: string;
    /**
     * The text of the **Edit current occurrence** button displayed in the Scheduler recurring confirmation dialog.
     */
    editOccurrence: string;
    /**
     * The text of the **Edit the series** button displayed in the Scheduler recurring confirmation dialog.
     */
    editSeries: string;
    /**
     * The text similar to **Do you want to delete only this event occurrence or the whole series?** displayed in the Scheduler recurring confirmation dialog.
     */
    deleteRecurringConfirmation: string;
    /**
     * The text of the **Delete current occurrence** button displayed in the Scheduler recurring confirmation dialog.
     */
    deleteOccurrence: string;
    /**
     * The text similar of the **Delete the series** button displayed in the Scheduler recurring confirmation dialog.
     */
    deleteSeries: string;
    /**
     * The title of the remove confirmation dialog, similar to **Delete event**.
     */
    deleteDialogTitle: string;
    /**
     * The title of the recurring remove confirmation dialog, similar to **Delete Recurring Item**.
     */
    deleteRecurringDialogTitle: string;
    /**
     * The title of the recurring edit confirmation dialog, similar to **Edit Recurring Item**.
     */
    editRecurringDialogTitle: string;
    /**
     * The value of the aria-label attribute of the `<select>` element used for switching the Scheduler views.
     */
    selectView: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<Messages, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<Messages, never, never, { "allEvents": { "alias": "allEvents"; "required": false; }; "allDay": { "alias": "allDay"; "required": false; }; "dateHeader": { "alias": "dateHeader"; "required": false; }; "timeHeader": { "alias": "timeHeader"; "required": false; }; "eventHeader": { "alias": "eventHeader"; "required": false; }; "deleteTitle": { "alias": "deleteTitle"; "required": false; }; "nextTitle": { "alias": "nextTitle"; "required": false; }; "previousTitle": { "alias": "previousTitle"; "required": false; }; "today": { "alias": "today"; "required": false; }; "calendarToday": { "alias": "calendarToday"; "required": false; }; "showFullDay": { "alias": "showFullDay"; "required": false; }; "showWorkDay": { "alias": "showWorkDay"; "required": false; }; "dayViewTitle": { "alias": "dayViewTitle"; "required": false; }; "multiDayViewTitle": { "alias": "multiDayViewTitle"; "required": false; }; "weekViewTitle": { "alias": "weekViewTitle"; "required": false; }; "workWeekViewTitle": { "alias": "workWeekViewTitle"; "required": false; }; "monthViewTitle": { "alias": "monthViewTitle"; "required": false; }; "multiWeekViewTitle": { "alias": "multiWeekViewTitle"; "required": false; }; "timelineViewTitle": { "alias": "timelineViewTitle"; "required": false; }; "timelineWeekViewTitle": { "alias": "timelineWeekViewTitle"; "required": false; }; "timelineMonthViewTitle": { "alias": "timelineMonthViewTitle"; "required": false; }; "agendaViewTitle": { "alias": "agendaViewTitle"; "required": false; }; "yearViewTitle": { "alias": "yearViewTitle"; "required": false; }; "yearViewNoEvents": { "alias": "yearViewNoEvents"; "required": false; }; "cancel": { "alias": "cancel"; "required": false; }; "save": { "alias": "save"; "required": false; }; "editorEventTitle": { "alias": "editorEventTitle"; "required": false; }; "editorEventStart": { "alias": "editorEventStart"; "required": false; }; "editorEventStartTimeZone": { "alias": "editorEventStartTimeZone"; "required": false; }; "editorEventEnd": { "alias": "editorEventEnd"; "required": false; }; "editorEventEndTimeZone": { "alias": "editorEventEndTimeZone"; "required": false; }; "editorEventAllDay": { "alias": "editorEventAllDay"; "required": false; }; "editorEventDescription": { "alias": "editorEventDescription"; "required": false; }; "editorEventSeparateTimeZones": { "alias": "editorEventSeparateTimeZones"; "required": false; }; "editorEventTimeZone": { "alias": "editorEventTimeZone"; "required": false; }; "editorDateInputsToday": { "alias": "editorDateInputsToday"; "required": false; }; "editorDateInputsToggle": { "alias": "editorDateInputsToggle"; "required": false; }; "editorDateInputsParentViewButton": { "alias": "editorDateInputsParentViewButton"; "required": false; }; "editorDateInputsNow": { "alias": "editorDateInputsNow"; "required": false; }; "editorDateInputsNowLabel": { "alias": "editorDateInputsNowLabel"; "required": false; }; "editorDateInputsAccept": { "alias": "editorDateInputsAccept"; "required": false; }; "editorDateInputsAcceptLabel": { "alias": "editorDateInputsAcceptLabel"; "required": false; }; "editorDateInputsCancel": { "alias": "editorDateInputsCancel"; "required": false; }; "editorDateInputsCancelLabel": { "alias": "editorDateInputsCancelLabel"; "required": false; }; "editorDateInputsDateTab": { "alias": "editorDateInputsDateTab"; "required": false; }; "editorDateInputsDateTabLabel": { "alias": "editorDateInputsDateTabLabel"; "required": false; }; "editorDateInputsTimeTab": { "alias": "editorDateInputsTimeTab"; "required": false; }; "editorDateInputsTimeTabLabel": { "alias": "editorDateInputsTimeTabLabel"; "required": false; }; "recurrenceEditorDateInputsToday": { "alias": "recurrenceEditorDateInputsToday"; "required": false; }; "recurrenceEditorDateInputsToggle": { "alias": "recurrenceEditorDateInputsToggle"; "required": false; }; "recurrenceEditorDateInputsParentViewButton": { "alias": "recurrenceEditorDateInputsParentViewButton"; "required": false; }; "recurrenceEditorNumericIncrement": { "alias": "recurrenceEditorNumericIncrement"; "required": false; }; "recurrenceEditorNumericDecrement": { "alias": "recurrenceEditorNumericDecrement"; "required": false; }; "recurrenceEditorRepeat": { "alias": "recurrenceEditorRepeat"; "required": false; }; "recurrenceEditorDailyInterval": { "alias": "recurrenceEditorDailyInterval"; "required": false; }; "recurrenceEditorDailyRepeatEvery": { "alias": "recurrenceEditorDailyRepeatEvery"; "required": false; }; "recurrenceEditorWeeklyInterval": { "alias": "recurrenceEditorWeeklyInterval"; "required": false; }; "recurrenceEditorWeeklyRepeatEvery": { "alias": "recurrenceEditorWeeklyRepeatEvery"; "required": false; }; "recurrenceEditorWeeklyRepeatOn": { "alias": "recurrenceEditorWeeklyRepeatOn"; "required": false; }; "recurrenceEditorMonthlyDay": { "alias": "recurrenceEditorMonthlyDay"; "required": false; }; "recurrenceEditorMonthlyInterval": { "alias": "recurrenceEditorMonthlyInterval"; "required": false; }; "recurrenceEditorMonthlyRepeatEvery": { "alias": "recurrenceEditorMonthlyRepeatEvery"; "required": false; }; "recurrenceEditorMonthlyRepeatOn": { "alias": "recurrenceEditorMonthlyRepeatOn"; "required": false; }; "recurrenceEditorYearlyOf": { "alias": "recurrenceEditorYearlyOf"; "required": false; }; "recurrenceEditorYearlyRepeatEvery": { "alias": "recurrenceEditorYearlyRepeatEvery"; "required": false; }; "recurrenceEditorYearlyRepeatOn": { "alias": "recurrenceEditorYearlyRepeatOn"; "required": false; }; "recurrenceEditorYearlyInterval": { "alias": "recurrenceEditorYearlyInterval"; "required": false; }; "recurrenceEditorFrequenciesDaily": { "alias": "recurrenceEditorFrequenciesDaily"; "required": false; }; "recurrenceEditorFrequenciesMonthly": { "alias": "recurrenceEditorFrequenciesMonthly"; "required": false; }; "recurrenceEditorFrequenciesNever": { "alias": "recurrenceEditorFrequenciesNever"; "required": false; }; "recurrenceEditorFrequenciesWeekly": { "alias": "recurrenceEditorFrequenciesWeekly"; "required": false; }; "recurrenceEditorFrequenciesYearly": { "alias": "recurrenceEditorFrequenciesYearly"; "required": false; }; "recurrenceEditorOffsetPositionsFirst": { "alias": "recurrenceEditorOffsetPositionsFirst"; "required": false; }; "recurrenceEditorOffsetPositionsSecond": { "alias": "recurrenceEditorOffsetPositionsSecond"; "required": false; }; "recurrenceEditorOffsetPositionsThird": { "alias": "recurrenceEditorOffsetPositionsThird"; "required": false; }; "recurrenceEditorOffsetPositionsFourth": { "alias": "recurrenceEditorOffsetPositionsFourth"; "required": false; }; "recurrenceEditorOffsetPositionsLast": { "alias": "recurrenceEditorOffsetPositionsLast"; "required": false; }; "recurrenceEditorWeekdaysDay": { "alias": "recurrenceEditorWeekdaysDay"; "required": false; }; "recurrenceEditorWeekdaysWeekday": { "alias": "recurrenceEditorWeekdaysWeekday"; "required": false; }; "recurrenceEditorWeekdaysWeekendday": { "alias": "recurrenceEditorWeekdaysWeekendday"; "required": false; }; "recurrenceEditorEndAfter": { "alias": "recurrenceEditorEndAfter"; "required": false; }; "recurrenceEditorEndOccurrence": { "alias": "recurrenceEditorEndOccurrence"; "required": false; }; "recurrenceEditorEndLabel": { "alias": "recurrenceEditorEndLabel"; "required": false; }; "recurrenceEditorEndNever": { "alias": "recurrenceEditorEndNever"; "required": false; }; "recurrenceEditorEndOn": { "alias": "recurrenceEditorEndOn"; "required": false; }; "editorTitle": { "alias": "editorTitle"; "required": false; }; "destroy": { "alias": "destroy"; "required": false; }; "deleteConfirmation": { "alias": "deleteConfirmation"; "required": false; }; "editRecurringConfirmation": { "alias": "editRecurringConfirmation"; "required": false; }; "editOccurrence": { "alias": "editOccurrence"; "required": false; }; "editSeries": { "alias": "editSeries"; "required": false; }; "deleteRecurringConfirmation": { "alias": "deleteRecurringConfirmation"; "required": false; }; "deleteOccurrence": { "alias": "deleteOccurrence"; "required": false; }; "deleteSeries": { "alias": "deleteSeries"; "required": false; }; "deleteDialogTitle": { "alias": "deleteDialogTitle"; "required": false; }; "deleteRecurringDialogTitle": { "alias": "deleteRecurringDialogTitle"; "required": false; }; "editRecurringDialogTitle": { "alias": "editRecurringDialogTitle"; "required": false; }; "selectView": { "alias": "selectView"; "required": false; }; }, {}, never, never, false, never>;
}
