/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChangeDetectorRef, NgZone } from '@angular/core';
import { FocusService } from './focus.service';
import { SchedulerComponent } from '../scheduler.component';
import { DomEventsService } from '../views/common/dom-events.service';
import { ViewStateService } from '../views/view-state.service';
import { DialogsService } from '../editing/dialogs.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ShortcutsDirective {
    private scheduler;
    private domEvents;
    private focusService;
    private zone;
    private changeDetector;
    private viewState;
    private dialogsService;
    private shortcuts;
    private taskShortcuts;
    private subs;
    constructor(scheduler: SchedulerComponent, domEvents: DomEventsService, focusService: FocusService, zone: NgZone, changeDetector: ChangeDetectorRef, viewState: ViewStateService, dialogsService: DialogsService);
    private onKeydown;
    private onEventKeydown;
    private focusWait;
    private isInToolbarTemplate;
    static ɵfac: i0.ɵɵFactoryDeclaration<ShortcutsDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ShortcutsDirective, "kendo-scheduler", never, {}, {}, never, never, true, never>;
}
