/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./pdf.component";
import * as i2 from "./pdf-command.directive";
/**
 * Represents the [NgModule](https://angular.io/api/core/NgModule)
 * definition for the Scheduler PDF component.
 *
 * ```ts
 * import { NgModule } from '@angular/core';
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 * import { SchedulerModule, PDFModule } from '@progress/kendo-angular-scheduler';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, SchedulerModule, PDFModule],
 *     bootstrap:    [AppComponent]
 * })
 *
 * export class AppModule {}
 * ```
 */
export declare class PDFModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<PDFModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<PDFModule, never, [typeof i1.PDFComponent, typeof i2.PDFCommandDirective], [typeof i1.PDFComponent, typeof i2.PDFCommandDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<PDFModule>;
}
