/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, EventEmitter, NgZone } from '@angular/core';
import { Observable } from 'rxjs';
import { DateRange } from '../types';
import { NavigationAction } from '../types';
import { SchedulerView } from '../types';
import { ToolbarTemplateDirective } from './toolbar-template.directive';
import { ToolbarService } from './toolbar.service';
import { CalendarView } from '@progress/kendo-angular-dateinputs';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ToolbarComponent {
    private service;
    private element;
    private zone;
    hostClasses: boolean;
    toolbarRole: string;
    selectedView: SchedulerView;
    views: SchedulerView[];
    dateRange: Observable<DateRange>;
    selectedDate: Observable<Date>;
    template: ToolbarTemplateDirective;
    min: Date;
    max: Date;
    navigate: EventEmitter<NavigationAction>;
    toolbarWidthChange: EventEmitter<number>;
    templateContext: any;
    toolbarWidth: number;
    /**
     * @hidden
     */
    get activeView(): CalendarView;
    /**
     * @hidden
     */
    get bottomView(): CalendarView;
    private subs;
    constructor(service: ToolbarService, element: ElementRef, zone: NgZone);
    ngOnInit(): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    resizeHandler(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToolbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToolbarComponent, "kendo-scheduler-toolbar", never, { "selectedView": { "alias": "selectedView"; "required": false; }; "views": { "alias": "views"; "required": false; }; "dateRange": { "alias": "dateRange"; "required": false; }; "selectedDate": { "alias": "selectedDate"; "required": false; }; "template": { "alias": "template"; "required": false; }; "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; }, { "navigate": "navigate"; "toolbarWidthChange": "toolbarWidthChange"; }, never, never, true, never>;
}
