/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The selected edit mode during the update or removal of events.
 * For non-recurring events, set to `Event`.
 */
export declare enum EditMode {
    /**
     * Edits the selected event.
     */
    Event = 0,
    /**
     * Edits the selected occurrence.
     */
    Occurrence = 1,
    /**
     * Edits all events in the series.
     */
    Series = 2
}
