/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The editable settings of the Scheduler.
 */
export interface EditableSettings {
    /**
     * Specifies if the events can be removed by using a **Remove** icon.
     */
    remove: boolean;
    /**
     * Specifies if the events can be dragged.
     */
    drag: boolean;
    /**
     * Specifies if the events can be resized.
     */
    resize: boolean;
    /**
     * Specifies if new events can be added on [`slotDblClick`](slug:api_scheduler_schedulercomponent#toc-slotdblclick) when using the editing directives.
     */
    add: boolean;
    /**
     * Specifies if the events can be edited on [`eventDblClick`](slug:api_scheduler_schedulercomponent#toc-eventdblclick) when using the editing directives.
     */
    edit: boolean;
}
