/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The settings for the ongoing events highlight.
 */
export interface OngoingEventsSettings {
    /**
     * The update interval (in milliseconds) of the ongoing events highlight.
     * Defaults to `60000` (a minute).
     */
    updateInterval?: number;
    /**
     * Specifies if the ongoing events will be highlighted.
     * Defaults to `true`.
     */
    enabled?: boolean;
    /**
     * Specifies a custom CSS class applied to ongoing events.
     */
    cssClass?: string;
}
