/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
/**
 * An abstract class which contains meta information about a Scheduler view.
 */
export declare abstract class SchedulerView {
    /**
     * @hidden
     */
    abstract template: TemplateRef<any>;
    /**
     * The view title that will be displayed by the Scheduler.
     * For example, **Day View**.
     */
    abstract title: string;
    /**
     * The invariant name for this view. For example, `day`.
     * If not set, the name will be the same as the title.
     */
    abstract name: string;
}
