/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The arguments for the `slotClass` function.
 */
export interface SlotClassArgs {
    /**
     * The start date of the slot.
     */
    start?: Date;
    /**
     * The end date of the slot.
     */
    end?: Date;
    /**
     * Specifies if the slot is an all-day slot.
     */
    isAllDay?: boolean;
    /**
     * The slot resources.
     */
    resources?: any[];
    /**
     * The slot event. Applicable for the **Agenda** view.
     */
    event?: any;
    /**
     * The slot events. Applicable for the **Year** view.
     */
    events?: any[];
}
