/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ZonedDate } from "@progress/kendo-date-math";
import { SchedulerEvent } from "../types";
/**
 * Represents the view item model of the Scheduler event.
 */
export interface ViewItem {
    /**
     * Represents the start date of the event in a specified timezone.
     */
    start: ZonedDate;
    /**
     * Represents the end date of the event in a specified timezone.
     */
    end: ZonedDate;
    /**
     * Represents the Scheduler event data.
     */
    event: SchedulerEvent;
}
