/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { IntlService } from '@progress/kendo-angular-intl';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class AgendaTaskItemComponent {
    private localization;
    private intl;
    arrowRotateCWIcon: SVGIcon;
    arrowsNoRepeatIcon: SVGIcon;
    xIcon: SVGIcon;
    item: any;
    color: string;
    eventTemplate: TemplateRef<any>;
    editable: any;
    cellClass: boolean;
    get eventTitle(): string;
    get eventColor(): string;
    get deleteMessage(): string;
    get isRecurrence(): boolean;
    get isRecurrenceException(): boolean;
    get removable(): boolean;
    constructor(localization: LocalizationService, intl: IntlService);
    static ɵfac: i0.ɵɵFactoryDeclaration<AgendaTaskItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AgendaTaskItemComponent, "[kendoSchedulerAgendaTaskItem]", never, { "item": { "alias": "kendoSchedulerAgendaTaskItem"; "required": false; }; "color": { "alias": "color"; "required": false; }; "eventTemplate": { "alias": "eventTemplate"; "required": false; }; "editable": { "alias": "editable"; "required": false; }; }, {}, never, never, true, never>;
}
