/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnDestroy, OnInit, OnChanges, ElementRef, NgZone, Renderer2, TemplateRef } from '@angular/core';
import { IntlService } from '@progress/kendo-angular-intl';
import { Subject } from 'rxjs';
import { ViewContextService } from '../view-context.service';
import { ViewStateService } from '../view-state.service';
import { PDFService } from '../../pdf/pdf.service';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class AgendaViewInternalComponent implements OnInit, OnChanges, OnDestroy {
    private viewContext;
    private viewState;
    private intl;
    private renderer;
    private element;
    private zone;
    private pdfService;
    private localization;
    selectedDate: Date;
    eventTemplate: TemplateRef<any>;
    slotClass: (args: any) => any;
    eventClass: (args: any) => any;
    eventStyles: (args: any) => any;
    agendaTimeTemplate: TemplateRef<any>;
    agendaDateTemplate: TemplateRef<any>;
    selectedDateFormat: string;
    selectedShortDateFormat: string;
    numberOfDays: number;
    headerWrap: ElementRef;
    content: ElementRef;
    tasks: Subject<any[]>;
    groupedResources: any[];
    editable: any;
    get eventTemplateRef(): any;
    get agendaTimeTemplateRef(): any;
    get agendaDateTemplateRef(): any;
    private schedulerEventTemplate;
    private schedulerAgendaTimeTemplate;
    private schedulerAgendaDateTemplate;
    private group;
    private resources;
    private spans;
    private items;
    private range;
    private groups;
    private min;
    private max;
    private subs;
    constructor(viewContext: ViewContextService, viewState: ViewStateService, intl: IntlService, renderer: Renderer2, element: ElementRef, zone: NgZone, pdfService: PDFService, localization: LocalizationService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    ngAfterViewInit(): void;
    protected onClick(e: any): void;
    protected onKeydown(e: any): void;
    protected targetTask(target: any): any;
    updateContentHeight(): void;
    ngOnDestroy(): void;
    private optionsChange;
    private onSelectDate;
    private onAction;
    private createEventGroups;
    private dateRange;
    private groupResources;
    private resourceSpans;
    private get taskResources();
    private isInRange;
    private createPDFElement;
    private elementTask;
    private execute;
    private slotByPosition;
    static ɵfac: i0.ɵɵFactoryDeclaration<AgendaViewInternalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AgendaViewInternalComponent, "agenda-view-internal", never, { "eventTemplate": { "alias": "eventTemplate"; "required": false; }; "slotClass": { "alias": "slotClass"; "required": false; }; "eventClass": { "alias": "eventClass"; "required": false; }; "eventStyles": { "alias": "eventStyles"; "required": false; }; "agendaTimeTemplate": { "alias": "agendaTimeTemplate"; "required": false; }; "agendaDateTemplate": { "alias": "agendaDateTemplate"; "required": false; }; "selectedDateFormat": { "alias": "selectedDateFormat"; "required": false; }; "selectedShortDateFormat": { "alias": "selectedShortDateFormat"; "required": false; }; "numberOfDays": { "alias": "numberOfDays"; "required": false; }; }, {}, never, never, true, never>;
}
