/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import { IntlService } from '@progress/kendo-angular-intl';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { SVGIcon } from '@progress/kendo-svg-icons';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class AgendaListComponent {
    private intlService;
    private localization;
    classes: boolean;
    tasks: any[];
    eventTemplate: TemplateRef<any>;
    slotClass: (args: any) => any;
    eventClass: (args: any) => any;
    eventStyles: (args: any) => any;
    agendaTimeTemplate: TemplateRef<any>;
    agendaDateTemplate: TemplateRef<any>;
    editable: any;
    caretAltLeftIcon: SVGIcon;
    caretAltRightIcon: SVGIcon;
    constructor(intlService: IntlService, localization: LocalizationService);
    extractDataItem(item: any): any;
    extractDataItemInLocalTime(item: any): any;
    formatTime(dataItem: any): string;
    trackByFn(index: number, _item: any): any;
    cellClasses(item: any): any[];
    getEventStyles(item: any): any;
    get arrowIcons(): string[];
    get arrowSVGIcons(): SVGIcon[];
    static ɵfac: i0.ɵɵFactoryDeclaration<AgendaListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AgendaListComponent, "[kendoSchedulerAgendaList]", never, { "tasks": { "alias": "tasks"; "required": false; }; "eventTemplate": { "alias": "eventTemplate"; "required": false; }; "slotClass": { "alias": "slotClass"; "required": false; }; "eventClass": { "alias": "eventClass"; "required": false; }; "eventStyles": { "alias": "eventStyles"; "required": false; }; "agendaTimeTemplate": { "alias": "agendaTimeTemplate"; "required": false; }; "agendaDateTemplate": { "alias": "agendaDateTemplate"; "required": false; }; "editable": { "alias": "editable"; "required": false; }; }, {}, never, never, true, never>;
}
