/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { GroupResult } from '@progress/kendo-data-query';
import { SchedulerEvent } from '../../types';
/**
 * @hidden
 */
export declare const compose: (...args: any[]) => (data: any) => any;
/**
 * @hidden
 */
export declare const processEvents: (_start: any, _end: any) => (data: any) => any;
/** @hidden */
export declare class EmptyIterator<T> {
    toString(): string;
}
/** @hidden */
export interface SchedulerTask extends SchedulerEvent {
    head?: boolean;
    tail?: boolean;
    mid?: boolean;
    startDate: Date;
}
/** @hidden */
export interface AgendaViewItem {
    type: "group" | "event";
    dataItem: GroupResult | SchedulerTask;
    rowSpan?: number;
    elementId?: string;
}
/**
 * @hidden
 */
export declare class TaskCollection {
    protected start: Date;
    protected end: Date;
    protected events: SchedulerEvent[];
    counter: number;
    static empty(): TaskCollection;
    constructor(start: Date, end: Date, events: SchedulerEvent[]);
    protected createIterator: Function;
    itemAt(index: number): any;
    toString(): string;
}
