/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SchedulerEvent } from '../../types';
/** @hidden */
export interface SchedulerTask {
    start: Date;
    end: Date;
    startTime?: Date;
    endTime?: Date;
    isAllDay: boolean;
    head?: boolean;
    tail?: boolean;
    color?: string;
    event: SchedulerEvent;
    rangeIndex?: number;
    index?: number;
    /**
     * The guid generated for, and assigned to the HTML element of each event.
     */
    elementId: string;
    resources?: any[];
}
