/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, Renderer2 } from '@angular/core';
import { IntlService } from '@progress/kendo-angular-intl';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { FocusService } from '../../navigation';
import { DayTimeSlotService } from '../day-time/day-time-slot.service';
import { BaseViewItem } from '../view-items/base-view-item';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class DayTimeViewItemComponent extends BaseViewItem {
    private intlService;
    caretAltLeftIcon: SVGIcon;
    caretAltRightIcon: SVGIcon;
    caretAltUpIcon: SVGIcon;
    caretAltDownIcon: SVGIcon;
    arrowRotateCwIcon: SVGIcon;
    arrowsNoRepeatIcon: SVGIcon;
    xIcon: SVGIcon;
    vertical: boolean;
    isAllDay: boolean;
    name: string;
    get eventTime(): string;
    constructor(slotService: DayTimeSlotService, localization: LocalizationService, focusService: FocusService, element: ElementRef, renderer: Renderer2, intlService: IntlService);
    static ɵfac: i0.ɵɵFactoryDeclaration<DayTimeViewItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DayTimeViewItemComponent, "[dayTimeViewItem]", never, { "vertical": { "alias": "vertical"; "required": false; }; "isAllDay": { "alias": "isAllDay"; "required": false; }; "name": { "alias": "name"; "required": false; }; }, {}, never, never, true, never>;
}
