/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef } from '@angular/core';
import { BaseSlotDirective } from '../view-items/base-slot.directive';
import { DayTimeSlotService } from './day-time-slot.service';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class TimeSlotDirective extends BaseSlotDirective {
    invariantStart: Date;
    invariantEnd: Date;
    workDayStart: Date;
    workDayEnd: Date;
    workWeekStart: number;
    workWeekEnd: number;
    date: Date;
    get nonWorkHour(): boolean;
    readonly isDaySlot: boolean;
    get startLocalTime(): Date;
    get endLocalTime(): Date;
    get start(): Date;
    get end(): Date;
    constructor(element: ElementRef, slotService: DayTimeSlotService, localization: LocalizationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<TimeSlotDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TimeSlotDirective, "[timeSlot]", ["timeSlot"], { "invariantStart": { "alias": "invariantStart"; "required": false; }; "invariantEnd": { "alias": "invariantEnd"; "required": false; }; "workDayStart": { "alias": "workDayStart"; "required": false; }; "workDayEnd": { "alias": "workDayEnd"; "required": false; }; "workWeekStart": { "alias": "workWeekStart"; "required": false; }; "workWeekEnd": { "alias": "workWeekEnd"; "required": false; }; "date": { "alias": "date"; "required": false; }; }, {}, never, never, true, never>;
}
/**
 * @hidden
 */
export declare class DaySlotDirective extends BaseSlotDirective {
    set start(value: Date);
    get start(): Date;
    set end(value: Date);
    get end(): Date;
    get daySlot(): boolean;
    readonly isDaySlot: boolean;
    private startDate;
    private endDate;
    constructor(element: ElementRef, slotService: DayTimeSlotService, localization: LocalizationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<DaySlotDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DaySlotDirective, "[daySlot]", never, { "start": { "alias": "start"; "required": false; }; "end": { "alias": "end"; "required": false; }; }, {}, never, never, true, never>;
}
