/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, Renderer2 } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { MonthSlotService } from './month-slot.service';
import { BaseViewItem } from '../view-items/base-view-item';
import { FocusService } from '../../navigation';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { IntlService } from '@progress/kendo-angular-intl';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class MonthViewItemComponent extends BaseViewItem {
    caretAltLeftIcon: SVGIcon;
    caretAltRightIcon: SVGIcon;
    arrowRotateCwIcon: SVGIcon;
    arrowsNoRepeatIcon: SVGIcon;
    xIcon: SVGIcon;
    constructor(slotService: MonthSlotService, localization: LocalizationService, focusService: FocusService, element: ElementRef, renderer: Renderer2, intl: IntlService);
    reflow(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonthViewItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MonthViewItemComponent, "[monthViewItem]", never, {}, {}, never, never, true, never>;
}
