/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChangeDetectorRef } from '@angular/core';
import { DayTimeViewBase } from '../day-time/day-time-view-base';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { ViewContextService } from '../view-context.service';
import { ViewStateService } from '../view-state.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare abstract class MultiDayViewBase extends DayTimeViewBase {
    /**
     * Numeric value between 0 and 1 that specifies what percentage of the slot should be filled by the events.
     *
     * @default 0.9
     */
    slotFill: number;
    /**
     * @hidden
     */
    get viewSlotFill(): any;
    /**
     * Toggles the all-day slot.
     * @default true
     */
    allDaySlot: boolean;
    /**
     * @hidden
     */
    get viewAllDaySlot(): any;
    constructor(localization: LocalizationService, changeDetector: ChangeDetectorRef, viewContext: ViewContextService, viewState: ViewStateService);
    static ɵfac: i0.ɵɵFactoryDeclaration<MultiDayViewBase, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MultiDayViewBase, never, never, { "slotFill": { "alias": "slotFill"; "required": false; }; "allDaySlot": { "alias": "allDaySlot"; "required": false; }; }, {}, never, never, false, never>;
}
