/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChangeDetectorRef } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { WeekViewComponent } from './week-view.component';
import { IntlService } from '@progress/kendo-angular-intl';
import { ViewContextService } from '../view-context.service';
import { ViewStateService } from '../view-state.service';
import * as i0 from "@angular/core";
/**
 * The component for rendering the **Work Week** view.
 */
export declare class WorkWeekViewComponent extends WeekViewComponent {
    /**
     * @hidden
     */
    get title(): string;
    /**
     * The invariant name for this view.
     * @default 'workWeek'
     */
    readonly name: string;
    /**
     * @hidden
     */
    get numberOfDays(): number;
    constructor(intl: IntlService, localization: LocalizationService, changeDetector: ChangeDetectorRef, viewContext: ViewContextService, viewState: ViewStateService);
    /**
     * @hidden
     */
    getStartDate(selectedDate: Date): Date;
    /**
     * @hidden
     */
    getNextDate(date: Date, count: number, _numberOfDays: number): Date;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorkWeekViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WorkWeekViewComponent, "kendo-scheduler-work-week-view", never, {}, {}, never, never, true, never>;
}
