/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import { SchedulerView } from '../types';
import * as i0 from "@angular/core";
/**
 * A directive selector for a custom Scheduler view.
 */
export declare class SchedulerViewDirective extends SchedulerView {
    template: TemplateRef<any>;
    /**
     * The user-friendly name of this view.
     */
    title: string;
    /**
     * The invariant name for this view. For example, `day`.
     * If not set, the name will be the same as the title.
     */
    get name(): string;
    set name(value: string);
    private _name;
    constructor(template: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<SchedulerViewDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SchedulerViewDirective, "[kendoSchedulerView]", never, { "title": { "alias": "kendoSchedulerView"; "required": false; }; "name": { "alias": "kendoSchedulerViewName"; "required": false; }; }, {}, never, never, true, never>;
}
