/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChangeDetectorRef } from '@angular/core';
import { DayTimeViewBase } from '../day-time/day-time-view-base';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { ViewContextService } from '../view-context.service';
import { ViewStateService } from '../view-state.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare abstract class TimelineBase extends DayTimeViewBase {
    /**
     * Specifies the columns width.
     */
    columnWidth: number;
    /**
     * @hidden
     */
    get viewColumnWidth(): any;
    constructor(localization: LocalizationService, changeDetector: ChangeDetectorRef, viewContext: ViewContextService, viewState: ViewStateService);
    static ɵfac: i0.ɵɵFactoryDeclaration<TimelineBase, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TimelineBase, never, never, { "columnWidth": { "alias": "columnWidth"; "required": false; }; }, {}, never, never, false, never>;
}
