/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgZone, QueryList, ElementRef, Renderer2, ChangeDetectorRef } from '@angular/core';
import { IntlService } from '@progress/kendo-angular-intl';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { DateRange, ViewItem } from '../../types';
import { ViewContextService } from '../view-context.service';
import { ViewStateService } from '../view-state.service';
import { DayTimeSlotService } from '../day-time/day-time-slot.service';
import { DayTimeViewComponent } from '../day-time/day-time-view.component';
import { PDFService } from '../../pdf/pdf.service';
import { ScrollbarWidthService } from '@progress/kendo-angular-common';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class TimelineMultiDayViewComponent extends DayTimeViewComponent {
    name: string;
    columnWidth: number;
    viewName: string;
    verticalResourceRows: QueryList<ElementRef>;
    get classNames(): string;
    headerTable: ElementRef;
    get contentWidthPercentage(): number;
    protected verticalTime: boolean;
    private contentWidth;
    constructor(localization: LocalizationService, changeDetector: ChangeDetectorRef, viewContext: ViewContextService, viewState: ViewStateService, intl: IntlService, slotService: DayTimeSlotService, zone: NgZone, renderer: Renderer2, element: ElementRef, pdfService: PDFService, scrollBarWidthService: ScrollbarWidthService);
    ngOnChanges(changes: any): void;
    reflow(): void;
    get allEventsMessage(): string;
    get slotsCount(): any;
    timeColspan(index: number): any;
    horizontalColspan(resourceIndex: number): any;
    verticalRowspan(resourceIndex: number): any;
    handleScroll(): void;
    protected createTasks(items: ViewItem[], dateRange: DateRange): any[];
    protected onTasksChange(): void;
    protected dragRanges(slot: any): any;
    protected dragHintSize(firstSlot: any, lastSlot: any): any;
    protected updateResizeHints(ranges: any[], start: Date, end: Date): void;
    protected pdfWidth(): number;
    protected currentTimeArrowOffset(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimelineMultiDayViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimelineMultiDayViewComponent, "timeline-multi-day-view", never, { "name": { "alias": "name"; "required": false; }; "columnWidth": { "alias": "columnWidth"; "required": false; }; "viewName": { "alias": "viewName"; "required": false; }; }, {}, never, never, true, never>;
}
