/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { BaseSlotService } from './base-slot.service';
import { Rect, SlotDirective, SlotID } from './types';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class BaseSlotDirective implements SlotDirective {
    protected element: ElementRef;
    protected slotService: BaseSlotService;
    protected localization: LocalizationService;
    id: SlotID;
    get slotIndex(): string;
    get start(): Date;
    set start(value: Date);
    get end(): Date;
    set end(value: Date);
    private _rect;
    private _start;
    private _end;
    constructor(element: ElementRef, slotService: BaseSlotService, localization: LocalizationService);
    get rect(): Rect;
    get top(): number;
    get padding(): number;
    get height(): number;
    set height(value: number);
    get width(): number;
    get key(): string;
    get nativeElement(): any;
    ngOnInit(): void;
    ngOnDestroy(): void;
    invalidate(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseSlotDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaseSlotDirective, never, never, { "id": { "alias": "id"; "required": false; }; }, {}, never, never, false, never>;
}
